From b5beccaa8629e69acbae8332e84532958e1f24cc Mon Sep 17 00:00:00 2001
From: Laurentiu Tudor <laurentiu.tudor@nxp.com>
Date: Fri, 13 Apr 2018 13:25:04 +0300
Subject: [PATCH] bus: fsl-mc: move fsl_mc_device_remove to common header

VFIO fsl-mc driver need this function on device remove,
moving this to common header file

Signed-off-by: Bharat Bhushan <Bharat.Bhushan@nxp.com>
Signed-off-by: Laurentiu Tudor <laurentiu.tudor@nxp.com>
---
 drivers/bus/fsl-mc/fsl-mc-private.h | 2 --
 include/linux/fsl/mc.h              | 2 ++
 2 files changed, 2 insertions(+), 2 deletions(-)

--- a/drivers/bus/fsl-mc/fsl-mc-private.h
+++ b/drivers/bus/fsl-mc/fsl-mc-private.h
@@ -561,8 +561,6 @@ int __must_check fsl_mc_device_add(struc
 				   const char *driver_override,
 				   struct fsl_mc_device **new_mc_dev);
 
-void fsl_mc_device_remove(struct fsl_mc_device *mc_dev);
-
 int __init dprc_driver_init(void);
 
 void dprc_driver_exit(void);
--- a/include/linux/fsl/mc.h
+++ b/include/linux/fsl/mc.h
@@ -366,6 +366,8 @@ int mc_send_command(struct fsl_mc_io *mc
 	module_driver(__fsl_mc_driver, fsl_mc_driver_register, \
 		      fsl_mc_driver_unregister)
 
+void fsl_mc_device_remove(struct fsl_mc_device *mc_dev);
+
 /*
  * Macro to avoid include chaining to get THIS_MODULE
  */
